<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
        <title></title>
        <meta name="description" content="">
        <!-- <meta name="viewport" content="width=1600"> -->

        <link rel="stylesheet" href="css/main.css">

    </head>
    <body>
        <header>
            <div class="headerInner clearfix">
                <!-- 上方功能選單-->
                <nav class="functionMenu">
                    <ul class="clearfix">
                        <li><a href="login.html" data-ch="登入" data-eng="LOGIN" class="js-hoverchangetxt">
                            登入
                        </a></li>
                        <li><a href="member.html" data-ch="會員中心" data-eng="MEMBER" class="js-hoverchangetxt">
                            會員中心
                        </a></li>
                        <li><a href="http://www.lamocha.com.tw/member/login_windows.php" data-ch="查詢舊訂單" data-eng="OLD ORDER" class="js-hoverchangetxt">
                            查詢舊訂單
                        </a></li>
                        <li><a href="member_ordercheck.html" data-ch="訂單查詢" data-eng="ORDER" class="js-hoverchangetxt">
                            訂單查詢
                        </a></li>
                        <li>
                            <input type="text" name="" placeholder="">
                        </li>
                    </ul>
                    <div class="socialInfo">
                        <a href="#" class="fb"></a>
                        <a href="#" class="contact"></a>
                        <div class="contactContent">
                            <p>//CONTACT US//<br>
                            MON - FRI  AM 9:00 ~ PM 17:00<br>
                            <a>05-2255106</a></p>
                        </div>
                        <a href="#" class="instagram"></a>
                    </div>
                </nav>
        
                <!-- logo -->
                <h1><a href="default.html" id="logo">La Mocha</a></h1>
            
            </div>

            <!-- 主選單-->
            <nav class="mainNav"><ul class="clearfix">
                    <li>
                        <a href="#">
                        <span>NEW ARRIVAL</span><span class="hoverTxt">新品</span></a>
                        <div class="submenu">
                            <div class="submenuInner">
                                <img src="https://placeholdit.imgix.net/~text?txtsize=33&txt=320%C3%97160&w=320&h=160" alt="">
                                <ul>
                                    <li><a href="pdlist.html">NEW // 新品</a></li>
                                    <li><a href="pdlist.html">KOREA ONLINE // 韓國連線</a></li>
                                    <li><a href="pdlist.html">ALL ITEM // 全部商品</a></li>
                                </ul>
                            </div>
                        </div>
                    </li>
                    <li>
                        <a href="#">
                            <span>CLOTHING</span>
                            <span class="hoverTxt">衣著</span>
                        </a>
                        <div class="submenu">
                            <div class="submenuInner">
                                <img src="https://placeholdit.imgix.net/~text?txtsize=33&txt=320%C3%97160&w=320&h=160" alt="">
                                <ul>
                                    <li><a href="#">TOP // 上衣</a></li>
                                    <li><a href="#">BOTTOM // 褲、裙</a></li>
                                    <li><a href="#">DRESS // 洋裝、連身褲裙</a></li>
                                    <li><a href="#">OUTER // 外套</a></li>
                                </ul>
                            </div>
                        </div>
                    </li>
                    <li>
                        <a href="#">
                            <span>ACC</span>
                            <span class="hoverTxt">飾品</span>
                        </a>
                        <div class="submenu">
                            <div class="submenuInner">
                                <img src="https://placeholdit.imgix.net/~text?txtsize=33&txt=320%C3%97160&w=320&h=160" alt="">
                                <ul>
                                    <li><a href="#">SHOES // 鞋、靴</a></li>
                                    <li><a href="#">BAG // 包</a></li>
                                    <li><a href="#">ETC. // 飾品、襪...其他</a></li>
                                </ul>
                            </div>
                        </div>
                    </li>
                    <li>
                        <a href="#">
                            <span>BEST</span>
                            <span class="hoverTxt">推薦商品</span>
                        </a>
                        <div class="submenu">
                            <div class="submenuInner">
                                <img src="https://placeholdit.imgix.net/~text?txtsize=33&txt=320%C3%97160&w=320&h=160" alt="">
                                <ul>
                                    <li><a href="#">BLOGGER LIST // 部落客清單</a></li>
                                    <li><a href="#">MODDEL LIST // MODEL清單</a></li>
                                </ul>
                            </div>
                        </div>
                    </li></ul>
            </nav>
        </header>
        <a href="#" id="toggleHeader"></a>
        <a href="buycar.html" id="fixedcart"></a>
    	<div class="page-wrap">
    		
    		<div class="wrapper loginJoin">
    			<!-- login -->
    			<div class="loginWrap">
                <form name="loginForm">
    				<h2>Login</h2>
    				<div class="inner">
	    				<label>帳號/E-MAIL：</label>
	    				<input type="text" name="" class="requiredInput" data-errmsg="帳號/E-MAIL">
	    				<label>密碼/PASSWORD：</label>
	    				<input type="password" name="" class="requiredInput" data-errmsg="密碼/PASSWORD">
	    				<div class="validation">
	    					<label>驗證碼</label>
	    					<img src="img/validation.jpg">
	    					<a href="" class="refresh"></a>
	    					<input type="text" name="" class="requiredInput" data-errmsg="驗證碼">
	    				</div>
	    				<input type="checkbox" name="">
	    				<span>記住我的帳號/忘記密碼</span>
	    				<div class="actionBtnWrap">
	    					<a href="" class="login js-checkInputFilled" data-checkform="loginForm">Login</a>
	    				</div>
	    			</div>
                </form>
    			</div>

    			<!-- Join Us -->
    			<div class="joinusWrap">
                <form name="joinform">
    				<h2>Join us</h2>
    				<div class="inner">
    					<div class="inputbox account">
	    					<label><span class="redTxt">*</span>帳號：</label>
	    					<input type="text" name="" class="long requiredInput js-email" data-errmsg="帳號">
	    					<span>（請輸入E-MAIL）</span>
    					</div>
    					<div class="inputbox">
    						<label><span class="redTxt">*</span>密碼：</label>
    						<input type="password" name="" class="requiredInput js-pw" data-errmsg="密碼">
    					</div>
    					<div class="inputbox">
    						<label><span class="redTxt">*</span>密碼確認：</label>
    						<input type="password" name="" class="requiredInput js-pw2" data-errmsg="密碼確認">
    					</div>
    					<div class="inputbox">
    						<label><span class="redTxt">*</span>姓名：</label>
    						<input type="text" name="" class="requiredInput" data-errmsg="姓名">
    					</div>

    					<div class="inputbox">
    						<label>聯絡電話：</label>
    						<input type="tel" name="">
    					</div>
    					<div class="inputbox">
    						<label><span class="redTxt">*</span>手機：</label>
    						<input type="tel" name="" class="requiredInput js-mobile" data-errmsg="手機">
    					</div>
    					<div class="inputbox deliver">
    						<label><span class="redTxt">*</span>聯絡地址：</label>
    						<div class="selectWrap">
	    						<select class="requiredInput" data-errmsg="地址：縣市">
	    							<option value="">請選擇縣市</option>
	    							<option value="基隆市">基隆市</option>
                                    <option value="臺北市">臺北市</option>
                                    <option value="新北市">新北市</option>
                                    <option value="桃園市">桃園市</option>
                                    <option value="新竹市">新竹市</option>
                                    <option value="新竹縣">新竹縣</option>
                                    <option value="苗栗縣">苗栗縣</option>
                                    <option value="臺中市">臺中市</option>
                                    <option value="彰化縣">彰化縣</option>
                                    <option value="南投縣">南投縣</option>
                                    <option value="雲林縣">雲林縣</option>
                                    <option value="嘉義市">嘉義市</option>
                                    <option value="嘉義縣">嘉義縣</option>
                                    <option value="臺南市">臺南市</option>
                                    <option value="高雄市">高雄市</option>
                                    <option value="屏東縣">屏東縣</option>
                                    <option value="臺東縣">臺東縣</option>
                                    <option value="花蓮縣">花蓮縣</option>
                                    <option value="宜蘭縣">宜蘭縣</option>
                                    <option value="澎湖縣">澎湖縣</option>
                                    <option value="金門縣">金門縣</option>
                                    <option value="連江縣">連江縣</option>
	    						</select>
	    					</div>
	    					<div class="selectWrap">
	    						<select class="requiredInput" data-errmsg="地址：區域">
	    							<option value="">請選擇區域</option>
	    							<option value="中正區">中正區</option>
	    						</select>
	    					</div>
	    					<input type="text" name="" class="short requiredInput" data-errmsg="郵遞區號"><br>
	    					<input type="text" name="" class="long address2 requiredInput" data-errmsg="地址">
    					</div>
    					
    					<div class="inputbox newsletter">
    						<input type="checkbox" name="">
    						<span>我要訂閱LA MOCHA電子報</span>
    					</div>

    					<div class="actionBtnWrap">
    						<a href="#" class="ok js-checkInputFilled" data-checkform="joinform"></a>
    						<a href="#" class="cancel js-cancel" data-form="joinform"></a>
    					</div>
    				</div>
                </form>
    			</div>
			    
		    </div>
    	</div>
    	<footer>
    	    <div class="footerInfo clearfix">
    	        <div class="footerInfoInner">
    	            <div class="store">
    	                <p class="footerTitle">// STORE INFO //</p>
    	                <a href="#">門市資訊</a>
    	            </div>
    	            <div class="moreLamocha">
    	                <p class="footerTitle">// MORE ON LAMOCHA //</p>
    	                <ul>
    	                    <li><a href="member.html">會員中心</a></li>
    	                    <li><a href="vip.html">VIP/ VVIP</a></li>
    	                    <li><a href="newslist.html">最新消息</a></li>
    	                    <li><a href="abroadCustomer.html">海外買家</a></li>
    	                </ul>
    	            </div>
    	            <div class="getHelp">
    	                <p class="footerTitle">// GET HELP //</p>
    	                <ul>
    	                    <li><a href="#">購物說明</a></li>
    	                    <li><a href="payway.html">付費方式</a></li>
    	                    <li><a href="deliverway.html">配送方式</a></li>
    	                    <li><a href="#">售後服務</a></li>
    	                </ul>
    	            </div>
    	        </div>
    	    </div>
    	    <div class="copyright">
    	        <span>COPYRIGHT &copy; 2016 MOCHA. ALL RIGHTS RESERVED</span>
    	    </div>
    	    <div id="goTop">
    	        <a href="#">TOP</a>
    	    </div>
    	</footer>
    	<script src="js/vendor/jquery-1.11.2.min.js"></script>
    	<script src="js/vendor/jquery-ui.js"></script>
    	<script src="js/vendor/slick.min.js"></script>
    	<script src="js/vendor/jquery.selectBoxIt.min.js"></script>
    	<script src="js/vendor/jquery.magnific-popup.min.js"></script>
    	<script src="js/main.js"></script>
        <script type="text/javascript">
            //確認必填欄位
            $('.js-checkInputFilled').on('click', function(e) {
                e.preventDefault();
                var targetForm = $(this).data('checkform');
                
                validation(targetForm);
            });

            //註冊取消(清除)
            $('.js-cancel').on('click', function(e) {
                e.preventDefault();
                var targetForm = document[$(this).data('form')];
                $(targetForm).find('input').val('');
                $(targetForm).find('input:checkbox').prop('checked', false);
                $(targetForm).find('select').each(function() {
                    setSel1(document.form1.cityno, "null");
                    setSel2(document.form1.cityno, document.form1.townno, "null");
                    var selectBoxObj = $(this).data("selectBox-selectBoxIt");
                    selectBoxObj.refresh();
                });

            });

            //user按enter送出login form
            $(document).on('keypress', function(e) {
                if (e.keyCode == 13) {
                    validation('loginForm');
                    // document.loginForm.submit();
                }
            });

            function validation(targetForm) {
                var tocheckInputs = $(document[targetForm]).find('.requiredInput');
                var formOk = true;
                $.each(tocheckInputs, function(idx, inputElem) {
                    var errMessage = $(inputElem).data('errmsg');
                    
                    if ($(inputElem).val() === '') {
                        showAlertMsg(inputElem, errMessage);
                        formOk = false;
                        return false;
                    }


                    if ($(inputElem).hasClass('js-email')) {
                        if (!emailCheck($(inputElem).val())) {
                            alert('email格式錯誤');
                            formOk = false;
                            return false;
                        }
                    }


                    if ($(inputElem).hasClass('js-pw')) {
                        console.log('validate password');
                        if (!check_password($(inputElem).val())) {
                            formOk = false;
                            $(inputElem).val('').focus();
                            return false;
                        }
                        if (($(inputElem).val().length < 8) || ($(inputElem).val().length > 16)) {
                            alert("密碼需為 8 ~ 16 碼！");
                            formOk = false;
                            $(inputElem).val('').focus();
                            return false;
                        }
                    }


                    if ($(inputElem).hasClass('js-pw2')) {
                        if ($(inputElem).val().toString() !== $('.js-pw').val().toString()) {
                            alert("確認密碼與設定密碼不同");
                            formOk = false;
                            $(inputElem).val('').focus();
                            return false;
                        }
                    }

                    if ($(inputElem).hasClass('js-mobile')) {
                        if (!checkMobile($(inputElem).val())) {
                            alert('手機格式錯誤');
                            formOk = false;
                            $(inputElem).val('').focus();
                            return false;
                        }
                    }

                });
                

                if (formOk) {
                    if (targetForm === 'loginForm') {
                        cmdLogin();
                    } else if (targetForm === 'registForm') {
                        document.registForm.submit();
                    }
                    console.log('go');  
                }
                
                
            }

            function showAlertMsg(inputElem, errMessage) {
                if ((inputElem.tagName).toUpperCase() === 'INPUT') {
                    alert('請填寫' + errMessage);
                }
                if ((inputElem.tagName).toUpperCase() === 'SELECT') {
                    alert('請選擇' + errMessage);
                }
            }

            function emailCheck(emailVal) {
                var re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
                return re.test(emailVal);
            }

            function check_password(pwd) {
                var xRegxp = /^([a-zA-Z]+\d+|\d+[a-zA-Z]+)[a-zA-Z0-9]*$/;
                if (xRegxp.test(pwd) != true) {
                    alert("您的密碼需是英文+數字的組合！");
                    return false;
                }
                return true;
            }

            function checkMobile(mobile) {
                var mobileOk = true;
                if (mobile.length !== 10) {
                    mobileOk = false;
                }
                var testReg = /^0/;
                if (!testReg.test(mobile)) {
                    mobileOk = false;
                }
                return mobileOk;
            }

        </script>
    </body>
</html>
